Bug 208512 - graphics/proj version bump
Summary: graphics/proj version bump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-04 13:10 UTC by darcy
Modified: 2016-04-30 15:42 UTC (History)
1 user (show)

See Also:
linimon: maintainer-feedback? (fmysh)


Attachments
archive with proj 4.9.2 port (3.68 KB, text/plain)
2016-04-04 13:10 UTC, darcy
no flags Details
patch for proj 4.9.2 (3.24 KB, patch)
2016-04-18 04:32 UTC, fmysh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description darcy 2016-04-04 13:10:01 UTC
Created attachment 168964 [details]
archive with proj 4.9.2 port

bump proj to version 4.9.2
Comment 1 Dmitry Marakasov freebsd_committer 2016-04-05 16:22:25 UTC
Please submit updates as patches.
Comment 2 fmysh 2016-04-18 04:32:06 UTC
Created attachment 169418 [details]
patch for proj 4.9.2
Comment 3 fmysh 2016-04-18 04:36:01 UTC
Please commit the patch for proj 4.9.2.

Modified from the original patch:
- port license
- shlib bump
- sort plist
Comment 4 commit-hook freebsd_committer 2016-04-30 15:39:52 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Apr 30 15:39:04 UTC 2016
New revision: 414347
URL: https://svnweb.freebsd.org/changeset/ports/414347

Log:
  - Update to 4.9.2

  Changes:	https://github.com/OSGeo/proj.4/blob/master/NEWS
  PR:		208512
  Reported by:	Darcy Buskermolen <darcy@dbitech.ca>
  Submitted by:	Taoka Fumiyoshi <fmysh@iijmio-mail.jp> (maintainer)

Changes:
  head/graphics/proj/Makefile
  head/graphics/proj/distinfo
  head/graphics/proj/files/patch-src-pj_mutex.c
  head/graphics/proj/pkg-plist
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2016-04-30 15:42:23 UTC
Committed. Thanks!